package beans;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/*
 *  RlNVv[O̗p@ AccountDB.javaQƂ̂
 */

public class ColorDB {
  public static HashMap<String, Integer> getColors() {
    // i
    HashMap<String, Integer> colors = new HashMap<String, Integer>();
    Connection conn = null;
    try {
      try {
        Context ctx = new InitialContext(); 
        DataSource ds = (DataSource)ctx.lookup("java:comp/env/jdbc/mydb"); 
        conn = ds.getConnection();
      } catch (Exception e) {
        // RlNVv[OpłȂƂ
        Class.forName("org.hsqldb.jdbcDriver");
        conn = DriverManager.getConnection("jdbc:hsqldb:hsql://localhost", "sa", "");         
      }
      Statement st = conn.createStatement();
      ResultSet rs = st.executeQuery("SELECT * FROM color");
      while(rs.next()) {
        colors.put(rs.getString("name"), rs.getInt("cvalue"));
      }
    } catch (Exception e) {
      e.printStackTrace();
      // fobOp
//    colors.put("", 0xed1941); colors.put("", 0xf26522); 
    } finally {
      if(conn!=null) {
        try {
          conn.close();
        } catch (SQLException e) {}
      }
    }
    return colors;
  }
}
