import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class AuthFilter implements Filter {
  private String redirectPage = "../LoginFailed.jsp";; 
  
  public void init(FilterConfig config) throws ServletException {}
  
  public void doFilter(ServletRequest request0, ServletResponse response0, FilterChain chain) 
  throws IOException, ServletException {
    HttpServletRequest request  = (HttpServletRequest)request0;
    HttpServletResponse response = (HttpServletResponse)response0;
    HttpSession session = request.getSession(false);
    if(session==null || (String)session.getAttribute("account")==null) {
      response.sendRedirect(response.encodeRedirectURL(redirectPage));
    } else {
      request.setCharacterEncoding("Windows-31J"); 
      chain.doFilter(request, response);
      return;
    }
  }
  
  public void destroy() {}
}
