package beans;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.sql.DataSource;

/*
 RlNVv[O̗p@
 i悭oO悤Ȃ̂Tomcat̃o[Wς邱ƂɌBj
 
 (Tomcat)/conf/server.xml <Context ...>`</Context>̊Ԃ
 ȉ̗vfǉĂB
 
 <Resource name="jdbc/mydb" auth="Container"
 type="javax.sql.DataSource" 
 driverClassName="org.hsqldb.jdbcDriver"
 url="jdbc:hsqldb:hsql://localhost" 
 username="sa" password=""
 maxActive="10" maxIdle="4" maxWait="5000"
 validationQuery="SELECT * FROM customer" />
 
  hsqldb.jar(Tomcat)/common/lib/ ɒu
 */


public class AccountDB {
  public static HashMap<String, String> getAccounts() {
    HashMap<String, String> accounts = new HashMap<String, String>();
    Connection conn=null;
    try {
      try {
        Context ctx = new InitialContext(); 
        DataSource ds = (DataSource)ctx.lookup("java:comp/env/jdbc/mydb"); 
        conn = ds.getConnection();
      } catch (Exception e) {
        // RlNVv[OpłȂƂ
        Class.forName("org.hsqldb.jdbcDriver");
        conn = DriverManager.getConnection("jdbc:hsqldb:hsql://localhost", "sa", ""); 
      }
      Statement st = conn.createStatement();
      ResultSet rs = st.executeQuery("SELECT * FROM user");
      while(rs.next()) {
        accounts.put(rs.getString("name"), rs.getString("passwd"));
      }
    } catch (Exception e) {
      e.printStackTrace();
      // fobOp
//    accounts.put("pochi", "wan");
//    accounts.put("tama", "nya");
    } finally {
      if(conn!=null) {
        try {
          conn.close();
        } catch (SQLException e) {}
      }
    }
    return accounts;
  }
}
